pymatgen.util package
=====================

Subpackages
-----------

.. toctree::
   :maxdepth: 7


Submodules
----------

.. toctree::
   :maxdepth: 7

   pymatgen.util.convergence
   pymatgen.util.coord
   pymatgen.util.coord_cython
   pymatgen.util.graph_hashing
   pymatgen.util.io_utils
   pymatgen.util.num
   pymatgen.util.numba
   pymatgen.util.plotting
   pymatgen.util.provenance
   pymatgen.util.string
   pymatgen.util.testing
   pymatgen.util.typing

Module contents
---------------

.. automodule:: pymatgen.util
   :members:
   :undoc-members:
   :show-inheritance:
